# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

#
# Ubuntu System Tests
# Copyright (C) 2015 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
from collections import namedtuple
from ubuntu_system_tests.helpers.application import QmlApplication

APP_PROCESS_NAME = 'address-book-app'
APP_NAME = 'Contacts'
APP_ID = 'address-book-app'
APP_CLICK = 'com.ubuntu.address-book'


Contact = namedtuple('Contact', ['name', 'number', 'expected_reply'])
Contact.__new__.__defaults__ = (None, None, None)


class AddressBook(QmlApplication):

    def __init__(self):
        super().__init__(APP_NAME, APP_CLICK, APP_PROCESS_NAME, APP_ID)

    def get_main_view(self):
        # TODO Move the address book helper upstream migrating the
        # the methods implemented in _cpo. Once  that is done, there
        # should be no need to use a local import above or to specify the
        # object class below <sbalda: 24/05/2016>
        # main_window.__class__ = AddressBookAppMainWindow

        from ubuntu_system_tests.helpers.addressbook import _cpo  # NOQA
        return self.get_proxy_object().main_window
