# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

#
# Ubuntu System Tests
# Copyright (C) 2016 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

import configparser


class Config:

    def __init__(self):
        self.conf = configparser.ConfigParser(strict=True)
        self.conf.optionxform = str
        self.conf.read(self.conf_file_path)

    def get_config_value(self, section, key):
        return self.conf[section][key]

    def set_config_value(self, section, key, value):
        if section not in self.conf:
            self.conf.add_section(section)
        self.conf[section][key] = value
        with open(self.conf_file_path, 'w') as configfile:
            self.conf.write(configfile)
