# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
#
# Copyright (C) 2016 Canonical Ltd.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; version 3.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.

from ubuntu_system_tests.helpers import autopilot
from ubuntu_system_tests.helpers import processes
from ubuntu_system_tests.helpers.scopes.apps import (
    launch_application_from_apps_scope)


APP_NAME = 'Dekko'
APP = 'dekko'
APP_CLICK_ID = 'dekko.dekkoproject'


def launch_dekko():
    """
    Launch dekko app from apps scope and return its proxy object.
    """
    launch_application_from_apps_scope(APP_NAME)
    return get_dekko_proxy()


def is_dekko_running():
    """ Indicate if the dekko app is running """
    return processes.is_process_running(APP)


def get_dekko_proxy():
    """Return the proxy object of the calculator app."""
    from ubuntu_system_tests.helpers.dekko import _cpo  # NOQA
    return autopilot.get_proxy_object(processes.get_process_id(APP))
