# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

#
# Ubuntu System Tests
# Copyright (C) 2015, 2016 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

from ubuntu_system_tests.helpers import autopilot
from ubuntu_system_tests.helpers import processes

APP = 'mediaplayer-app'


def get_media_player_proxy():
    """
    Return media player app proxy object from existing process.

    :return: Proxy object for media player application.

    """
    from ubuntu_system_tests.helpers.mediaplayer._cpo import MediaPlayer  # NOQA
    return autopilot.get_proxy_object(processes.get_process_id(APP))


def is_mediaplayer_running():
    """ Indicate if the mediaplayer is running """
    return processes.is_process_running(APP)
