# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

#
# Ubuntu System Tests
# Copyright (C) 2016 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

from ubuntu_system_tests.helpers.ofono.utils import (
    are_all_sims_registered,
    end_call,
    get_imei_list,
    get_locked_modems,
    get_locked_sims,
    get_modem_for_data,
    get_modems_with_sims,
    get_number_of_modems,
    get_pin_retries,
    get_pin_type,
    get_sim_name,
    is_any_sim_registered,
    is_call_active,
    is_call_on_hold,
    is_call_ringing,
    is_pin_lock_enabled,
    is_pin_type_pin,
    is_pin_type_puk,
    is_sim_inserted,
    is_sim_locked,
    is_sim_registered,
    lock_sim,
    number_of_sims,
    set_modem_for_data,
    unlock_sim,
    validate_pin_format,
    validate_retry_attempts,
    wait_for_all_sims_registered,
    wait_for_any_sim_registered,
    wait_for_sim_registered,
)


__all__ = [
    'are_all_sims_registered',
    'end_call',
    'get_imei_list',
    'get_locked_modems',
    'get_locked_sims',
    'get_modem_for_data',
    'get_modems_with_sims',
    'get_number_of_modems',
    'get_pin_retries',
    'get_pin_type',
    'get_sim_name',
    'is_any_sim_registered',
    'is_call_active',
    'is_call_on_hold',
    'is_call_ringing',
    'is_pin_lock_enabled',
    'is_pin_type_pin',
    'is_pin_type_puk',
    'is_sim_inserted',
    'is_sim_locked',
    'is_sim_registered',
    'lock_sim',
    'number_of_sims',
    'set_modem_for_data',
    'unlock_sim',
    'validate_pin_format',
    'validate_retry_attempts',
    'wait_for_all_sims_registered',
    'wait_for_any_sim_registered',
    'wait_for_sim_registered',
]
