# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

#
# Ubuntu System Tests
# Copyright (C) 2016 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

from ubuntu_system_tests.helpers.system_settings.app import (
    APP,
    APP_NAME,
    APP_WIN_ID,
    get_system_settings_proxy,
    is_system_settings_running,
    launch_system_settings,
)
from ubuntu_system_tests.helpers.system_settings.utils import (
    ensure_power_settings_page_visible,
    ensure_settings_page_visible,
    get_default_sim_for_calls,
    get_default_sim_for_messages,
    get_ril_modem_for_sim,
    get_rotation_lock,
    get_silent_mode,
    is_reporting_enabled,
    set_default_modem_for_calls,
    set_default_modem_for_messages,
    set_default_sim_for_calls,
    set_default_sim_for_messages,
    set_rotation_lock,
    set_silent_mode,
    SIM_1,
    SIM_2,
    SIM_ASK,
)


__all__ = [
    'APP',
    'APP_NAME',
    'APP_WIN_ID',
    'ensure_power_settings_page_visible',
    'ensure_settings_page_visible',
    'get_default_sim_for_calls',
    'get_default_sim_for_messages',
    'get_ril_modem_for_sim',
    'get_rotation_lock',
    'get_silent_mode',
    'get_system_settings_proxy',
    'is_reporting_enabled',
    'is_system_settings_running',
    'launch_system_settings',
    'set_default_modem_for_calls',
    'set_default_modem_for_messages',
    'set_default_sim_for_calls',
    'set_default_sim_for_messages',
    'set_rotation_lock',
    'set_silent_mode',
    'SIM_1',
    'SIM_2',
    'SIM_ASK',
]
